# Uses of Interface
org.springframework.web.server.i18n.LocaleContextResolver

Packages that use LocaleContextResolver
Package
Description
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.
org.springframework.web.server.i18n
Locale related support classes.

## Uses of LocaleContextResolver in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter that return LocaleContextResolver
Modifier and Type
Method
Description
`LocaleContextResolver`
HttpWebHandlerAdapter.`getLocaleContextResolver()`
Return the configured `LocaleContextResolver`.
Methods in org.springframework.web.server.adapter with parameters of type LocaleContextResolver
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`localeContextResolver(LocaleContextResolver localeContextResolver)`
Configure the `LocaleContextResolver` to set on the `WebServerExchange`.
`void`
HttpWebHandlerAdapter.`setLocaleContextResolver(LocaleContextResolver resolver)`
Configure a custom `LocaleContextResolver`.
Constructors in org.springframework.web.server.adapter with parameters of type LocaleContextResolver
Modifier
Constructor
Description
``
`DefaultServerWebExchange(ServerHttpRequest request, ServerHttpResponse response, WebSessionManager sessionManager, ServerCodecConfigurer codecConfigurer, LocaleContextResolver localeContextResolver)`
`protected`
`DefaultServerWebExchange(ServerHttpRequest request, ServerHttpResponse response, WebSessionManager sessionManager, ServerCodecConfigurer codecConfigurer, LocaleContextResolver localeContextResolver, org.springframework.context.ApplicationContext applicationContext)`

## Uses of LocaleContextResolver in org.springframework.web.server.i18n

Classes in org.springframework.web.server.i18n that implement LocaleContextResolver
Modifier and Type
Class
Description
`class`
`AcceptHeaderLocaleContextResolver`
`LocaleContextResolver` implementation that looks for a match between locales in the `Accept-Language` header and a list of configured supported locales.
`class`
`FixedLocaleContextResolver`
`LocaleContextResolver` implementation that always returns a fixed locale and optionally time zone.